/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.reviewanalysisweb.factory;

import com.mongodb.MongoClient;
import com.reviewanalysisweb.dao.MongoDBMetaDAO;
import com.reviewanalysisweb.dao.MongoDBReviewDAO;
import com.reviewanalysisweb.model.Meta;
import com.reviewanalysisweb.model.Review;
import com.reviewanalysisweb.service.ReviewSearchService;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Gabriel
 */
public class SearchAllReviews implements ReviewSearchInterface {

    @Override
    public List<Meta> search(HttpServletRequest request, 
            HttpServletResponse response,
            MongoDBMetaDAO metaDao, 
            MongoDBReviewDAO reviewDao,
            String searchParameter) {
        
        List<Meta> metas = metaDao.readAllReview();
        List<Review> reviews = reviewDao.readAllReviews();
        
        metas = ReviewSearchService.addReviewAttributesToMeta(metas, reviews);
        
        return metas;
    }
    
}
