/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.reviewanalysisweb.factory;

import com.reviewanalysisweb.dao.MongoDBMetaDAO;
import com.reviewanalysisweb.dao.MongoDBReviewDAO;
import com.reviewanalysisweb.model.Meta;
import com.reviewanalysisweb.model.Review;
import com.reviewanalysisweb.service.ReviewSearchService;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author monicaribeiro
 */
public class SearchBySpecificParameter implements ReviewSearchInterface {

    @Override
    public List<Meta> search(HttpServletRequest request, 
            HttpServletResponse response, 
            MongoDBMetaDAO metaDao, 
            MongoDBReviewDAO reviewDao,
            String searchParameter) {

        List<Meta> meta = (List<Meta>) request.getAttribute("reviewSelectedByUser");
        
        List<Meta> metas = new ArrayList<Meta>();
        
        if (searchParameter == null || searchParameter.equals("appId")) {
            metas = metaDao.readSpecificReview("appId", meta.get(0).getAppId());
        } else {
            metas = metaDao.readSpecificReview("username", meta.get(0).getUsername());
        }
        // TODO to gbaierle: refatorar essa gambi
        List<String> listReviewId = new ArrayList<String>();
        for (Meta metaAux : metas) {
            listReviewId.add(metaAux.getReviewId());
        }
        List<Review> reviews = reviewDao.readSpecificReview(listReviewId);
        
        metas = ReviewSearchService.addReviewAttributesToMeta(metas, reviews);
        
        return metas;
    }
    
}
