/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.reviewanalysisweb.factory;

import com.reviewanalysisweb.dao.MongoDBMetaDAO;
import com.reviewanalysisweb.dao.MongoDBReviewDAO;
import com.reviewanalysisweb.model.Meta;
import com.reviewanalysisweb.model.Review;
import com.reviewanalysisweb.service.ReviewSearchService;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author monicaribeiro
 */
public class SearchSpecificReviewID implements ReviewSearchInterface 
{
    private String atribute;
    
    @Override
    public List<Meta> search(HttpServletRequest request, 
            HttpServletResponse response, 
            MongoDBMetaDAO metaDao, 
            MongoDBReviewDAO reviewDao,
            String searchParameter) 
    {
        atribute = "reviewId";
        String parameter = request.getParameter("marcar[]");
        request.setAttribute("reviewId", parameter);
        return searchForReviews(metaDao, parameter, reviewDao, request, response, atribute);
    }
    
    protected List<Meta> searchForReviews(
            MongoDBMetaDAO metaDAO, 
            String parameterSelected, 
            MongoDBReviewDAO reviewDAO, 
            HttpServletRequest request,
            HttpServletResponse response, 
            String atribute) {
        
        List<Meta> metas = metaDAO.readSpecificReview(atribute, parameterSelected);
        Review review = reviewDAO.readOneSpecificReview(parameterSelected);
        
        List<Review> reviews = new ArrayList<Review>();
        reviews.add(review);
        
        metas = ReviewSearchService.addReviewAttributesToMeta(metas, reviews);
        
        return metas;
    }
    
}
