/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.reviewanalysisweb.servlets;

import com.reviewanalysisweb.model.Meta;
import com.reviewanalysisweb.model.Month;
import com.reviewanalysisweb.model.Year;
import com.reviewanalysisweb.service.ReviewSearchService;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Gabriel
 */
@WebServlet("/temporalBehaviorUser")
public class TemporalBehaviorUserServlet extends HttpServlet {
    
    private static final long serialVersionUID = -7060758261496829905L;
    
    private List<Year> listYears;
    
    @Override
    protected void doPost(HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException 
    {
        ReviewSearchService reviewSearchService = new ReviewSearchService();
        request.setAttribute("reviewSelectedByUser", reviewSearchService.searchOneReview(request, response, "SPECIFICREVIEW")); 
        
        List<Meta> listUserMetas = new ArrayList<Meta>();
        listUserMetas = reviewSearchService.searchListOfReviews(request, response, "SPECIFICPARAMETER", "userId");
        
        listYears = new ArrayList<Year>();
        
        // TODO: fragment methods
        
        for(Meta meta : listUserMetas) {
            
            if(meta.getDate() != "")
            {
                String array[] = new String[3];
                array = meta.getDate().split(" ");
                
                if (!listYearsContains(array[2])) {
                    
                    Year year = new Year(array[2]);
                    // year.getListMonths().add(array[0]);
                    Month month = new Month(array[0], meta.getReviewId());
                    year.getListMonths().add(month);
                    
                    listYears.add(year);
                    
                } else {
                    for (Year year : listYears) {
                        if (year.getYear().equals(array[2])) {
                            
                            
                                
                            if (!listMonthsContains(year.getListMonths(), array[0])) {

                                Month newMonth = new Month(array[0], meta.getReviewId());
                                year.getListMonths().add(newMonth);
                            } else {

                                for (Month month : year.getListMonths()) {
                                    
                                    if (month.getMonth().equals(array[0])) {
                                        
                                        month.setNumberOfReviews(month.getNumberOfReviews()+1);
                                        month.getListReviewIds().add(meta.getReviewId());
                                    }
                                }

                            }
                            
                        }
                    }
                }
            }
        }
        
        request.setAttribute("listYearsMonths", listYears);
        request.setAttribute("metas", listUserMetas);
        
        RequestDispatcher rd = getServletContext().getRequestDispatcher("/temporalBehaviorUser.jsp");
        rd.forward(request, response);
    }

    private boolean listYearsContains(String year) {

        for (Year yearOnList : listYears) {
            if (yearOnList.getYear().equals(year)) {
                return true;
            }
        }
        return false;
    }

    private boolean listMonthsContains(List<Month> listMonths, String month) {

        for (Month monthOnList : listMonths) {
            if (monthOnList.getMonth().equals(month)) {
                return true;
            }
        }
        return false;
    }
}
