/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.reviewanalysisweb.servlets;

import com.reviewanalysisweb.model.Meta;
import com.reviewanalysisweb.service.HammingDistanceService;
import com.reviewanalysisweb.service.ReviewSearchService;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Gabriel
 */
@WebServlet("/textUser")
public class TextUserServlet extends HttpServlet {
    
    private static final long serialVersionUID = -7060758261496829905L;
    
    @Override
    protected void doPost(HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException {
        
        
        ReviewSearchService reviewSearchService = new ReviewSearchService();
        List<Meta> reviewSelectedByUser = reviewSearchService.searchOneReview(request, response, "SPECIFICREVIEW");
        request.setAttribute("reviewSelectedByUser", reviewSelectedByUser); 
        
        List<Meta> listUserMetas = new ArrayList<Meta>();
        listUserMetas = reviewSearchService.searchListOfReviews(request, response, "SPECIFICPARAMETER", "userId");
        
        for(Meta meta: listUserMetas)
        {
            HammingDistanceService hm = new HammingDistanceService(reviewSelectedByUser.get(0).getContent(), 
                meta.getContent());
            meta.setSimilarity(hm.getSimilarityPercentage(reviewSelectedByUser.get(0).getContent(), 
                meta.getContent()));
        }
        
        request.setAttribute("metas", listUserMetas); 
        
        RequestDispatcher rd = getServletContext().getRequestDispatcher("/text.jsp");
        rd.forward(request, response);
        
    }
    
}
