$(function () {

    $('table > tbody > tr:odd').addClass('odd');

    $('table > tbody > tr').hover(function () {
        $(this).toggleClass('hover');
    });

    $('#marcar-todos').click(function () {
        $('table > tbody > tr > td > :radio')
                .attr('checked', $(this).is(':checked'))
                .trigger('change');
    });

    $('table > tbody > tr > td > :radio').bind('click change', function () {
        var tr = $(this).parent().parent();
        if ($(this).is(':checked'))
            $(tr).addClass('selected');
        else
            $(tr).removeClass('selected');
    });

    $('#formulario').submit(function (e) {
        e.preventDefault();
    });

    $('#pesquisar').keydown(function () {
        var encontrou = false;
        var termo = $(this).val().toLowerCase();
        $('table > tbody > tr').each(function () {
            $(this).find('td').each(function () {
                if ($(this).text().toLowerCase().indexOf(termo) > -1)
                    encontrou = true;
            });
            if (!encontrou)
                $(this).hide();
            else
                $(this).show();
            encontrou = false;
        });
    });

    $("table")
            .tablesorter({
                dateFormat: 'uk',
                headers: {
                    0: {
                        sorter: false
                    },
                }
            })
            .tablesorterPager({container: $("#pager")})
            .bind('sortEnd', function () {
                $('table > tbody > tr').removeClass('odd');
                $('table > tbody > tr:odd').addClass('odd');
            });

});