<%@ include file="layout.jsp" %>    
<h1>Text Similarity</h1>
</br>
<p>Review Selected:</p>
<c:forEach items="${requestScope.reviewSelectedByUser}" var="meta">
    <p> " <c:out value="${meta.content}"></c:out> " </p>    
</c:forEach>

</br>

<p>Select similar reviews by:</p>

<form id="textUser" action='<c:out value="${textUserURL}"></c:out>' method="post">
    <input type="hidden" name="marcar[]" value="${requestScope.reviewId}">
    <input type="submit" onclick="textUser.submit();" value="User">
</form>

    </br>
                                
<form id="textProduct" action='<c:out value="${textProductURL}"></c:out>' method="post">
    <input type="hidden" name="marcar[]" value="${requestScope.reviewId}">
    <input type="submit" onclick="textProduct.submit();" value="Product">
</form>
    
    </br>
    
<form id="textAll" action='<c:out value="${textAllURL}"></c:out>' method="post">
    <input type="hidden" name="marcar[]" value="${requestScope.reviewId}">
    <input type="submit" onclick="textAll.submit();" value="Database">
</form>
    
</br>

<table cellspacing="0" summary="List of Reviews">
    <thead>
        <tr>
            <th>ReviewID</th>
            <th>UserName</th>
            <th>Rating</th>
            <th>Text</th>
            <th>Date</th>
            <th>Similarity</th>
        </tr>
    </thead>

    <tbody>
    <c:if test="${not empty requestScope.metas}">

        <c:forEach items="${requestScope.metas}" var="meta">
            <tr>
                <td><c:out value="${meta.reviewId}"></c:out></td>
                <td><c:out value="${meta.username}"></c:out></td>
                <td><c:out value="${meta.stars}"></c:out></td>
                <td><c:out value="${meta.content}"></c:out></td>
                <td><c:out value="${meta.date}"></c:out></td>
                <td><c:out value="${meta.similarity}"></c:out></td>
            </tr>
        </c:forEach>
    </c:if>
</tbody>
</table>
<div id="pager" class="pager">
<form>
    <span>
        Show <select class="pagesize">
            <option selected="selected"  value="10">10</option>
            <option value="20">20</option>
            <option value="30">30</option>
            <option  value="40">40</option>
        </select> reviews
    </span> 

    <img src="icons/first.png" class="first"/>
    <img src="icons/prev.png" class="prev"/>
    <input type="text" class="pagedisplay"/>
    <img src="icons/next.png" class="next"/>
    <img src="icons/last.png" class="last"/>
</form>
</div>

</body>
</html>