package com.reviewanalysisweb.factory;

/**
 *
 * @author Gabriel
 */
public class ReviewSearchFactory {
    
    // TODO to gbaierle: create constraints
    public static ReviewSearchInterface getReviewSearch(String criteria) {
        
        if (criteria.equals("ALL")) {
            
            return new SearchAllReviews();
            
        } else if (criteria.equals("SPECIFIC")) {
            
            return new SearchSpecificReview();
            
        } else if (criteria.equals("LIST")) {
            
            return new SearchListOfReviews();
            
        } else if (criteria.equals("SPECIFICREVIEW")) {
            
            return new SearchSpecificReviewID();
            
        } else if (criteria.equals("SPECIFICPARAMETER")) {
            
            return new SearchBySpecificParameter();
            
        } else if (criteria.equals("LIMITED")) {
            
            return new SearchLimitedReviews();
        }
        
        return null;
    }
}
