/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.reviewanalysisweb.factory;

import com.mongodb.MongoClient;
import com.reviewanalysisweb.dao.MongoDBMetaDAO;
import com.reviewanalysisweb.dao.MongoDBReviewDAO;
import com.reviewanalysisweb.model.Meta;
import com.reviewanalysisweb.model.Review;
import com.reviewanalysisweb.service.ReviewSearchService;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Gabriel
 */
public class SearchSpecificReview implements ReviewSearchInterface {

    @Override
    public List<Meta> search(HttpServletRequest request, 
            HttpServletResponse response,
            MongoDBMetaDAO metaDao, 
            MongoDBReviewDAO reviewDao,
            String searchParameter) {
        
        String userId = request.getParameter("userId");
        String appId = request.getParameter("appId");
        String date = request.getParameter("date");
        
        List<Meta> metas = metaDao.readSpecificReviewUsingFilters(userId, appId, date);
        // TODO to gbaierle: refatorar essa gambi
        List<String> listReviewId = new ArrayList<String>();
        for (Meta meta : metas) {
            listReviewId.add(meta.getReviewId());
        }
        List<Review> reviews = reviewDao.readSpecificReview(listReviewId);
        
        metas = ReviewSearchService.addReviewAttributesToMeta(metas, reviews);
        
        return metas;
    }
    
}
