package com.reviewanalysisweb.servlets;

import com.reviewanalysisweb.service.MappedSearchService;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author monicaribeiro
 */

@WebServlet("/listProductRanking")
public class ListProductRankingServlet extends HttpServlet 
{
    private static final long serialVersionUID = -7060758261496829905L;

    protected void doPost(HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException 
    {
        MappedSearchService mappedSearchService = new MappedSearchService();
        request.setAttribute("metas", mappedSearchService.searchAllMappedProducts(request, response));
        
        RequestDispatcher rd = getServletContext().getRequestDispatcher("/indexProductRanking.jsp");
        rd.forward(request, response);
    }
}