package com.reviewanalysisweb.servlets;

import com.mongodb.MongoClient;
import com.reviewanalysisweb.dao.MongoDBMetaDAO;
import com.reviewanalysisweb.dao.MongoDBReviewDAO;
import com.reviewanalysisweb.model.Meta;
import com.reviewanalysisweb.model.Review;
import com.reviewanalysisweb.service.ReviewSearchService;
import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author monicaribeiro
 */

@WebServlet("/listReviewRanking")
public class ListReviewRankingServlet extends HttpServlet 
{
    private static final long serialVersionUID = -7060758261496829905L;

    protected void doPost(HttpServletRequest request,
        HttpServletResponse response) throws ServletException, IOException 
    {
        ReviewSearchService reviewSearchService = new ReviewSearchService();
        request.setAttribute("metas", reviewSearchService.searchListOfReviews(request, response, "LIMITED", null));
            
        RequestDispatcher rd = getServletContext().getRequestDispatcher("/indexReviewRanking.jsp");
        rd.forward(request, response);
                
    }
}
