<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Review Analysis - Home Page</title>
        <link rel="stylesheet" href="css/homeStyle.css">
    </head>
    <body>
        
        <c:url value="/listUserRanking" var="userRankingURL"></c:url>
        <c:url value="/listProductRanking" var="productRankingURL"></c:url>
        <c:url value="/listReviewRanking" var="reviewRankingURL"></c:url>
        <c:url value="/listOfReviews" var="listOfReviewsURL"></c:url>
        <c:url value="/listOfReviewsByFilters" var="listOfReviewByFiltersURL"></c:url>
        
        <h1 align=center>Let's Start!</h1>
        </br>
        <table class="mainTable">
            
            <tr class="trHead" height=30% align=center>
                <td colspan="3">
                    <h2 >Use these filters below to begin your analysis:</h2>
                </td>
            </tr>
            
            <tr height=70% align=center>
                <td colspan="3" >
                     <form action='<c:out value="${listOfReviewByFiltersURL}"></c:out>' method="post">
                        <table>
                            <tr>
                                <td>User ID:</td>
                                <td><input type="text" name="userId" ></td>
                            </tr>

                            <tr>
                                <td>App ID:</td>
                                <td><input type="text" name="appId"></td>
                            </tr>

                            <tr>
                                <td>Date:</td>
                                <td><input type="text" name="date" placeholder="Example: Mar 13 2010"></td>
                            </tr>
                        </table>
                        </br>
                        <input type="submit" value="Submit">
                     </form>
                </td>
            </tr>
        </table>
        
        </br>
        
       <table class="mainTable">
            
            <tr class="trHead" height=30% align=center>
                <td colspan="3">
                    <h2>Or use our ranking lists and begin your research:</h2>
                </td>
            </tr>
            
            <tr height=70% align=center>
                <td colspan="3">
                    <table>
                        <tr>
                            <td>
                                <form action='<c:out value="${userRankingURL}"></c:out>' method="post">
                                    <input type="submit" value="User Ranking">
                                </form>
                            </td>

                            <td>
                                 <form action='<c:out value="${productRankingURL}"></c:out>' method="post">
                                    <input type="submit" value="Product Ranking">
                                </form> 
                            </td>

                            <td>
                                <form action='<c:out value="${reviewRankingURL}"></c:out>' method="post">
                                    <input type="submit" value="Review Ranking">
                                </form>
                            </td>
                        </tr>
                        <tr>
                            
                        
            
        
        
        
                        